Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.asSyntax
Class InternalActionLiteral

    java.lang.Object
      jason.asSyntax.DefaultTerm
          jason.asSyntax.Literal
              jason.asSyntax.Atom
                  jason.asSyntax.Structure
                      jason.asSyntax.InternalActionLiteral

All Implemented Interfaces:
  LogicalFormula, Term, ToDOM, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Term>

    public class InternalActionLiteral

extends Structure

A particular type of literal used to represent internal actions (has a "." in the functor).

See Also:
  Serialized Form

Field Summary

Fields inherited from class jason.asSyntax.Structure
`emptyTermArray, emptyTermList`

Fields inherited from class jason.asSyntax.Literal
`LFalse, LNeg, LPos, LTrue, predicateIndicatorCache`

Fields inherited from class jason.asSyntax.DefaultTerm
`hashCodeCache, srcInfo`

Constructor Summary
`InternalActionLiteral(InternalActionLiteral l)`
`InternalActionLiteral(java.lang.String functor)`
`InternalActionLiteral(Structure p, Agent ag)`

Method Summary
`InternalActionLiteral` | `clone()` make a deep copy of the terms
`org.w3c.dom.Element` | `getAsDOM(org.w3c.dom.Document document)` get as XML
`java.lang.String` | `getErrorMsg()`
`InternalAction` | `getIA(Agent ag)`
`boolean` | `isAtom()`
`boolean` | `isInternalAction()`
`java.util.Iterator<Unifier>` | `logicalConsequence(Agent ag, Unifier un)` logicalConsequence checks whether one particular predicate is a logical consequence of the belief base.
`void` | `setIA(InternalAction ia)`

Methods inherited from class jason.asSyntax.Structure
`addTerm, addTerms, addTerms, apply, calcHashCode, compareTo, countVars, delTerm, equals, getArity, getSingletonVars, getTerm, getTerms, getTermsSize, hasTerm, hasVar, isGround, isStructure, makeTermsAnnon, makeVarsAnnon, makeVarsAnnon, parse, setTerm, setTerms, toString, varToReplace`

Methods inherited from class jason.asSyntax.Atom
`getFunctor`

Methods inherited from class jason.asSyntax.Literal
`addAnnot, addAnnots, addAnnots, addSource, canBeAddedInBB, clearAnnots, copy, delAnnot, delAnnots, delSource, delSources, equalsAsStructure, forceFullLiteralImpl, getAnnots, getAnnots, getAsListOfTerms, getPredicateIndicator, getSources, getTermsArray, hasAnnot, hasAnnot, hasSource, hasSource, hasSubsetAnnot, hasSubsetAnnot, importAnnots, isLiteral, negated, newFromListOfTerms, parseLiteral, setAnnots, setNegated`

Methods inherited from class jason.asSyntax.DefaultTerm
`getSrcInfo, hashCode, isArithExpr, isList, isNumeric, isPlanBody, isPred, isRule, isString, isUnnamedVar, isVar, resetHashCodeCache, setSrcInfo`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface jason.asSyntax.Term
`getSrcInfo, isArithExpr, isList, isNumeric, isPlanBody, isPred, isRule, isString, isUnnamedVar, isVar, setSrcInfo`

Constructor Detail

### InternalActionLiteral

    public InternalActionLiteral(java.lang.String functor)

### InternalActionLiteral

    public InternalActionLiteral(InternalActionLiteral l)

### InternalActionLiteral

    public InternalActionLiteral(Structure p,
                                 Agent ag)
                          throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### isInternalAction

    public boolean isInternalAction()

  Specified by:
    `isInternalAction` in interface `Term`
  Overrides:
    `isInternalAction` in class `DefaultTerm`

### isAtom

    public boolean isAtom()

  Specified by:
    `isAtom` in interface `Term`
  Overrides:
    `isAtom` in class `Structure`

### logicalConsequence

    public java.util.Iterator<Unifier> logicalConsequence(Agent ag,
                                                          Unifier un)

  Description copied from class: `Literal`
  logicalConsequence checks whether one particular predicate is a logical consequence of the belief base. Returns an iterator for all unifiers that are logCons.

  Specified by:
    `logicalConsequence` in interface `LogicalFormula`
  Overrides:
    `logicalConsequence` in class `Literal`

### setIA

    public void setIA(InternalAction ia)

### getIA

    public InternalAction getIA(Agent ag)
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getErrorMsg

    public java.lang.String getErrorMsg()

  Overrides:
    `getErrorMsg` in class `DefaultTerm`

### clone

    public InternalActionLiteral clone()

  Description copied from class: `Structure`
  make a deep copy of the terms

  Specified by:
    `clone` in interface `Term`
  Overrides:
    `clone` in class `Structure`

### getAsDOM

    public org.w3c.dom.Element getAsDOM(org.w3c.dom.Document document)

  get as XML

  Specified by:
    `getAsDOM` in interface `ToDOM`
  Overrides:
    `getAsDOM` in class `Structure`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD